/*
 *  Global variables.
 */

#ifndef Global
#define Global extern
#define Init(v)
#endif					/* Global */

/*
 * Table sizes and defaults come from sizes.h.
 */

#define Size(cmd,vname,defalt) Global unsigned int vname Init(defalt);
#define MinSize(x,y,z)
#include "sizes.h"
#undef Size
#undef MinSize

/*
 * Masks for accessing hash tables.
 */
Global int cmask;			/* mask for constant table hash */
Global int fmask;			/* mask for field table hash */
Global int gmask;			/* mask for global table hash */	
Global int imask;			/* mask for identifier table hash */
Global int lmask;			/* mask for local table hash */

/*
 * Variables related to command processing.
 */
Global char *progname	Init("icont");	/* program name for diagnostics */

#if ATARI_ST
Global char *patharg	Init(0);	/* -p: path for finding iconx */
#endif					/* ATARI_ST */

Global int silent	Init(0);	/* -s: suppress info messages? */
Global int m4pre	Init(0);	/* -m: use m4 preprocessor? [UNIX] */
Global int uwarn	Init(0);	/* -u: warn about undefined ids? */
Global int trace	Init(0);	/* -t: initial &trace value */


#ifdef DeBugLinker
Global int Dflag	Init(0);	/* -L: linker debug (write .ux file) */
#endif					/* DeBugLinker */
